with GNATCOM.Dispinterface;

package MSHTML.IHTMLIFrameElement3_Interface is

   type IHTMLIFrameElement3_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLIFrameElement3_Type);

   function Pointer (This : IHTMLIFrameElement3_Type)
     return Pointer_To_IHTMLIFrameElement3;

   procedure Attach (This    : in out IHTMLIFrameElement3_Type;
                     Pointer : in     Pointer_To_IHTMLIFrameElement3);

   function Get_contentDocument
     (This : IHTMLIFrameElement3_Type)
     return GNATCOM.Types.Pointer_To_IDispatch;

   procedure Put_src
     (This : IHTMLIFrameElement3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_src
     (This : IHTMLIFrameElement3_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_longDesc
     (This : IHTMLIFrameElement3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_longDesc
     (This : IHTMLIFrameElement3_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_frameBorder
     (This : IHTMLIFrameElement3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_frameBorder
     (This : IHTMLIFrameElement3_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLIFrameElement3_Interface;

